GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit Class Reference

## Public Member Functions
List< String > | getShipmentUnitReference ()
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)
String | getNote1 ()
void | setNote1 (String value)
String | getNote2 ()
void | setNote2 (String value)
List< UnitService > | getService ()
String | getFRAlphaParcelReference ()
void | setFRAlphaParcelReference (String value)
String | getTrackID ()
void | setTrackID (String value)
Boolean | isInjected ()
void | setInjected (Boolean value)
String | getParcelNumber ()
void | setParcelNumber (String value)
NationalParcelData | getNationalParcelData ()
void | setNationalParcelData (NationalParcelData value)
Volume | getVolume ()
void | setVolume (Volume value)

## Protected Attributes
List< String > | shipmentUnitReference
String | partnerParcelNumber
BigDecimal | weight
String | note1
String | note2
List< UnitService > | service
String | frAlphaParcelReference
String | trackID
Boolean | injected
String | parcelNumber
NationalParcelData | nationalParcelData
Volume | volume

## Detailed Description

Shipment unit attributes

Java class for ShipmentUnit complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ShipmentUnit">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight" minOccurs="0"/>
            <element name="Note1" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Note" minOccurs="0"/>
            <element name="Note2" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Note" minOccurs="0"/>
            <element name="Service" type="{http://fpcs.gls-group.eu/v1/Common}UnitService" maxOccurs="unbounded" minOccurs="0"/>
            <element name="FRAlphaParcelReference" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}FRAlphaParcelReference" minOccurs="0"/>
            <element ref="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}TrackID" minOccurs="0"/>
            <element name="injected" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
            <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="NationalParcelData" type="{http://fpcs.gls-group.eu/v1/Common}NationalParcelData" minOccurs="0"/>
            <element name="Volume" type="{http://fpcs.gls-group.eu/v1/Common}Volume" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 67 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## Member Function Documentation

## ◆ getFRAlphaParcelReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getFRAlphaParcelReference | ( |  | ) |

Gets the value of the frAlphaParcelReference property.

Returns
  possible object is String

Definition at line 258 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getNationalParcelData()

NationalParcelData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getNationalParcelData | ( |  | ) |

Gets the value of the nationalParcelData property.

Returns
  possible object is NationalParcelData

Definition at line 354 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getNote1()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getNote1 | ( |  | ) |

Gets the value of the note1 property.

Returns
  possible object is String

Definition at line 181 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getNote2()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getNote2 | ( |  | ) |

Gets the value of the note2 property.

Returns
  possible object is String

Definition at line 205 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 330 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 133 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getService()

List<UnitService> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getService | ( |  | ) |

Gets the value of the service property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the service property.

For example, to add a new item, do as follows:

       getService().add(newItem);

Objects of the following type(s) are allowed in the list UnitService

Definition at line 243 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getShipmentUnitReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnitReference property.

For example, to add a new item, do as follows:

       getShipmentUnitReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 118 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 282 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getVolume()

Volume eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getVolume | ( |  | ) |

Gets the value of the volume property.

Returns
  possible object is Volume

Definition at line 378 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ getWeight()

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 157 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ isInjected()

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.isInjected | ( |  | ) |

Gets the value of the injected property.

Returns
  possible object is Boolean

Definition at line 306 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setFRAlphaParcelReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setFRAlphaParcelReference | ( | String | value | ) |

Sets the value of the frAlphaParcelReference property.

Parameters

  value | allowed object is String

Definition at line 270 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setInjected()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setInjected | ( | Boolean | value | ) |

Sets the value of the injected property.

Parameters

  value | allowed object is Boolean

Definition at line 318 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setNationalParcelData()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setNationalParcelData | ( | NationalParcelData | value | ) |

Sets the value of the nationalParcelData property.

Parameters

  value | allowed object is NationalParcelData

Definition at line 366 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setNote1()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setNote1 | ( | String | value | ) |

Sets the value of the note1 property.

Parameters

  value | allowed object is String

Definition at line 193 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setNote2()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setNote2 | ( | String | value | ) |

Sets the value of the note2 property.

Parameters

  value | allowed object is String

Definition at line 217 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 342 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 145 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 294 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setVolume()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setVolume | ( | Volume | value | ) |

Sets the value of the volume property.

Parameters

  value | allowed object is Volume

Definition at line 390 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ setWeight()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 169 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## Member Data Documentation

## ◆ frAlphaParcelReference

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.frAlphaParcelReference
| protected

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ injected

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.injected
| protected

Definition at line 88 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ nationalParcelData

NationalParcelData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.nationalParcelData
| protected

Definition at line 92 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ note1

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.note1
| protected

Definition at line 78 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ note2

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.note2
| protected

Definition at line 80 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.parcelNumber
| protected

Definition at line 90 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.partnerParcelNumber
| protected

Definition at line 72 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ service

List<UnitService> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.service
| protected

Definition at line 82 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ shipmentUnitReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.shipmentUnitReference
| protected

Definition at line 70 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.trackID
| protected

Definition at line 86 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ volume

Volume eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.volume
| protected

Definition at line 94 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

## ◆ weight

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentUnit.weight
| protected

Definition at line 76 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ShipmentUnit.java